package com.ihaoin.hooloo.device;

import android.app.Application;
import android.util.Log;

import com.ihaoin.hooloo.device.config.AppConfig;
import com.ihaoin.hooloo.device.data.MainData;
import com.ihaoin.hooloo.device.network.HttpUtil;

import cn.jpush.android.api.JPushInterface;

public class HLApplication extends Application {
    private static MainData mainData = new MainData();

    public static MainData getMainData() {
        return mainData;
    }

    public static void setMainData(MainData data) {
        mainData = data;
    }

    @Override
    public void onCreate() {
        super.onCreate();

        AppConfig.MACHINE_CODE = HttpUtil.getMacAddress();
        AppConfig.MACHINE_CODE = "Code001"; // TODO 获取机器编码

        JPushInterface.setDebugMode(true);
        JPushInterface.init(this);
        Log.d("PushMessageReceiver", JPushInterface.getRegistrationID(this));
//        HttpUtil.postRegistrationId(JPushInterface.getRegistrationID(this), null);
    }

    @Override
    public void onTerminate() {
        super.onTerminate();
    }
}
